<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceElements StructType
 * @subpackage Structs
 */
class JP_ServiceElements extends AbstractStructBase
{
    /**
     * The ServiceElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceElement
     */
    public $ServiceElement;
    /**
     * Constructor method for JP_ServiceElements
     * @uses JP_ServiceElements::setServiceElement()
     * @param \StructType\JP_ServiceElement $serviceElement
     */
    public function __construct(\StructType\JP_ServiceElement $serviceElement = null)
    {
        $this
            ->setServiceElement($serviceElement);
    }
    /**
     * Get ServiceElement value
     * @return \StructType\JP_ServiceElement|null
     */
    public function getServiceElement()
    {
        return $this->ServiceElement;
    }
    /**
     * Set ServiceElement value
     * @param \StructType\JP_ServiceElement $serviceElement
     * @return \StructType\JP_ServiceElements
     */
    public function setServiceElement(\StructType\JP_ServiceElement $serviceElement = null)
    {
        $this->ServiceElement = $serviceElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
